com.pixelmed.network

## Class CGetRequestCommandMessage

- java.lang.Object
- - com.pixelmed.network.CGetRequestCommandMessage

    public class CGetRequestCommandMessage
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CGetRequestCommandMessage(AttributeList list)`
`CGetRequestCommandMessage(java.lang.String affectedSOPClassUID)`

### Method Summary

Methods
`java.lang.String` `getAffectedSOPClassUID()`
`byte[]` `getBytes()`
`int` `getCommandField()`
`int` `getGroupLength()`
`int` `getMessageID()`
`int` `getNextAvailableMessageID()` Get a new message ID.
`int` `getPriority()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CGetRequestCommandMessage

    public CGetRequestCommandMessage(AttributeList list)
                              throws DicomException,
                                     java.io.IOException

Parameters:
  `list` -
Throws:
  `java.io.IOException`
  `DicomException`

#### CGetRequestCommandMessage

    public CGetRequestCommandMessage(java.lang.String affectedSOPClassUID)
                              throws DicomException,
                                     java.io.IOException

Parameters:
  `affectedSOPClassUID` -
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getGroupLength

    public int getGroupLength()

#### getAffectedSOPClassUID

    public java.lang.String getAffectedSOPClassUID()

#### getCommandField

    public int getCommandField()

#### getMessageID

    public int getMessageID()

#### getPriority

    public int getPriority()

#### getBytes

    public byte[] getBytes()

#### getNextAvailableMessageID

    public final int getNextAvailableMessageID()

Get a new message ID.

Implemented as a simple counter on scope of JVM invocation, and will eventually wrapp around.

Returns:
  a new unused integer message ID